Ir para o conteúdo
  • Revista PROGRAMAR: Já está disponível a edição #60 da revista programar. Faz já o download aqui!

donatello

Versão PHP e Moodle 2.x.x

Mensagens Recomendadas

donatello

Boa noite,

Vi no Moodle que a versão 2.0.7, que apenas é actualizada no âmbito da segurança, vai deixar de o ser em Junho deste ano. Até aqui nada de novidade.

Por curiosidade fui ver a versão PHP de sítios (subdomínios, claro) com esta plataforma e o que vi não gostei (não a pensar neles, mais em mim, colocando-me no lugar de utilizador ou responsável) e muitas universidades - só vi uni´s - têm a versão PHP inferior à necessária para a versão 2.0.7. Ou seja estão a usar o Moodle 1.9.16, que também "acaba" em Junho . Corrijam-me se estou errado.

Pareceu-me, vi aí uma duzia de sítios, que há muitos sítios com o Moodle a prazo e Junho é já daqui a 4 meses.  😡

... e as escolas secundárias, empresas, Estado e sítios pessoais?

Partilhar esta mensagem


Ligação para a mensagem
Partilhar noutros sites
softklin

É normal haver versões diversificadas, entre as quais algumas versões antigas/descontinuadas, que apenas contenham suporte para corrigir aspetos de segurança.

Posso-te mostrar outro caso bastante parecido: o Windows XP está na mesma situação do Moodle 1.9, tendo apenas updates de segurança até 2014. Porque é que as pessoas não mudam para o Vista ou para o Windows 7:

- Falta de suporte do hardware/software

- Custo de aquisição ou implementação (no caso de empresas ou servidores)

- "Funciona bem como está", e consequentemente, não há vontade de atualizar

Estes motivos também podem ser o facto de haver tantas instalações dessa versão do Moodle. Não conheço o projeto em detalhe, mas pode haver, por exemplo, mudanças grandes entre a transição da versão 1.9 para a 2.1, e ficar difícil de migrar entre plataformas, daí não haver lugar a essa atualização por parte das universidades.


Nick antigo: softclean | Tens um projeto? | Wiki P@P

Ajuda a comunidade! Se encontrares algo de errado, usa a opção "Denunciar" por baixo de cada post.

Partilhar esta mensagem


Ligação para a mensagem
Partilhar noutros sites
donatello

softklin,

Concordo com o que disseste mas repara no seguinte.

Posso-te mostrar outro caso bastante parecido: o Windows XP está na mesma situação do Moodle 1.9, tendo apenas updates de segurança até 2014. Porque é que as pessoas não mudam para o Vista ou para o Windows 7:

Neste caso restam apenas 4 meses para fazer o upgrade. Ao contrário do WinXP está como cliente o Moodle está do lado servidor. Se há ataques explorando falhas que não são resolvidas por responsabilidade do webmaster (ou quem quer que seja), imagina quando há falhas conhecidas e perigosas e não há mais actualizações.

Estes motivos também podem ser o facto de haver tantas instalações dessa versão do Moodle. Não conheço o projeto em detalhe, mas pode haver, por exemplo, mudanças grandes entre a transição da versão 1.9 para a 2.1, e ficar difícil de migrar entre plataformas, daí não haver lugar a essa atualização por parte das universidades.

A versão 1.9.16 tem como requisitos PHP 4.3.0 e MySQL 4.1.16; a versão 2.0.7 o exigido é PHP 5.2.8 e MySQL 5.0.25.

Na minha opinião há mais instalações 1.9.16 pelo facto do alojamento (partilhado) não oferecer versões superiores ou a última. Será agressividade comercial? Últimas versões do PHP só em servidores dedicados ou servidores privados (o que não deixa de ser alojamento partilhado! mas com mais funcionalidades e preço maior)?

Pergunto: são as empresas de alojamento que não disponibilizam a ultima versão, deixando esta oferta para os serviços mais completos? Então assim quem tem o Moodle (muitas escolas, empresas e particulares) estão numa situação de vamos ver como será em Junho. Garantias? Certamente tudo se vai resolver pelo melhor...

Partilhar esta mensagem


Ligação para a mensagem
Partilhar noutros sites
softklin

Eu concordo contigo, todos os clientes deveriam atualizar o software para as últimas versões (porque supostamente são mais seguras e porque têm mais/melhores funcionalidades). Mas repara quem nem sempre isso é possível/desejado.

Muitas faculdades têm servidores próprios, pelo que não será por questões de preço (para estes servidores). No caso de servidores em alojamento partilhado, não há nada que garanta o acesso aos utilizadores das últimas versões do software, e pode haver essa "agressividade comercial". Mas não vejo qualquer vantagem numa empresa competir contra si própria. Tudo bem, que o objetivo pode ser puxar os clientes para versões mais caras, mas alojamento web é uma coisa tão banal, que não será difícil encontrar outras versões mais recentes noutras empresas. Até realmente pode acontecer, mas coloco de lado essa opção da agressividade comercial.

Concluindo, eu aposto mais em entraves na atualização, ou simplesmente negligência/desconhecimento.

Só uma nota: servidores dedicados não são alojamento partilhado. Num servidor dedicado, como o próprio nome diz, tens um servidor sob tua responsabilidade, e podes escolher o sistema operativo queres, ou pelo menos, todo o software que lá está. Já um VPS (Virtual Private Server) é um único servidor que corre máquinas virtuais, que estão normalmente isoladas umas das outras, e também podes escolher o software e (por vezes), o sistema operativo nesse servidor. Nestes dois (VPS e dedicado), até podes nem ter um serviço de alojamento.


Nick antigo: softclean | Tens um projeto? | Wiki P@P

Ajuda a comunidade! Se encontrares algo de errado, usa a opção "Denunciar" por baixo de cada post.

Partilhar esta mensagem


Ligação para a mensagem
Partilhar noutros sites
donatello

Boas,

Concluindo, eu aposto mais em entraves na atualização, ou simplesmente negligência/desconhecimento.

Há muitas empresas a oferecerem alojamento mas quando há exigência o número fica pequeno. Vê nesta perspectiva, há empresas grandes com milhares de clientes em alojamento partilhado sem a última versão do PHP. Aliás, todo o alojamento partilhado não tem a versão mais recente do PHP. São todos os clientes, não alguns.

Só uma nota

Quando me referi ao VPS como alojamento partilhado estava a ter também em conta que as máquinas virtuais isoladas, como dissestes, se mantinha na mesma máquina. Daí alojamento partilhado.

Seja como for, acho que Setembro/Outubro pode ser mau para muitas escolas. Que como acontece com as empresas há uma maior possibilidade de aumento de ataques durante o verão, quando há menos técnicos a trabalhar e menos actividade.

Partilhar esta mensagem


Ligação para a mensagem
Partilhar noutros sites

Crie uma conta ou ligue-se para comentar

Só membros podem comentar

Criar nova conta

Registe para ter uma conta na nossa comunidade. É fácil!

Registar nova conta

Entra

Já tem conta? Inicie sessão aqui.

Entrar Agora

×

Aviso Sobre Cookies

Ao usar este site você aceita os nossos Termos de Uso e Política de Privacidade. Este site usa cookies para disponibilizar funcionalidades personalizadas. Para mais informações visite esta página.